import { Vue } from "vue-property-decorator";
import { ManagerModule } from "../../../modules/ManagerModule";
import { MessageUserModule } from "../../../modules/MessageUserModule";
import { Manager } from "../../../../../types/Manager";
export default class ThreadManagersSelect extends Vue {
    userModule: MessageUserModule;
    managerModule: ManagerModule;
    uids: string[];
    get managers(): Manager[];
    get managersByGroup(): import("../../../../../types/Manager").ManagerCollectionsByGroup;
    get currentManager(): Manager;
    get isShowAddMeBtn(): boolean;
    subscribeMe(): string;
    setSubscribedManagers(uids: string[]): string[];
}
